@font-face {
    font-family: GN-KillGothic-U-KanaNA;
    src: url('fonts/GN-KillGothic-U-KanaNA.ttf');
}

@font-face {
    font-family: KozGoProRegular;
    src: url('fonts/KozGoProRegular.otf');
}

@font-face {
    font-family: MOBO;
    src: url('fonts/MOBO.otf');
}

body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    overflow-x: hidden;
    color: #5e7072;
}

a {
    color: #e993b3;
}

.center {
    text-align: center;
}

.background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../2024/image/cherry-blossom-sakura-tree.gif');
    background-size: cover;
    background-position: center;
    z-index: -1;
    filter: blur(20px);
}

.content {
    background-color: rgba(255, 255, 255, 0.9);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    max-width: 800px;
    width: 100%;
    margin: 100px auto;
    z-index: 1;
}

@media only screen and (max-width: 800px) {
    .content {
        margin: 20px 0px;
        max-width: 85%;
        margin: 10px auto;
    }
}

.content-body {
    background-color: rgba(233, 147, 179, 0.9);
    width: fill;
    margin: 0px -20px 0px -20px;
    padding-top: 20px;
    padding-bottom: 20px;
}

.banner {
    display: block;
    margin: auto;
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

.banner-card {
    width: 100%;
    height: 10%;
    object-fit: cover;
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
}


h2 {
    font-family: MOBO, Arial, sans-serif;
    font-weight: normal;
    font-style: normal;
    color: #e993b3;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.01);
    font-size: 38px;
    margin: 1vh;
    text-align: center;
}

h3 {
    font-family: MOBO, Arial, sans-serif;
    font-weight: normal;
    font-style: normal;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.01);
    font-size: 18px;
    margin: 1vh;
}

.leader {
    font-family: KozGoProRegular, Arial, sans-serif;
    font-weight: normal;
    font-style: normal;
    color: #e993b3;
    margin: auto;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.01);
    font-size: 2vh;
}

ul {
    width: auto;
    text-align: left;
}

li {
    padding: 5px;
}

button {
    border: none;
    background-color: #ec91b0;
    color: white;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: 5px;
    cursor: pointer;
}

.card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid #ccc;
    border-radius: 30px;
    padding: 0px;
    margin: 20px auto;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    width: 80%;
    background-color: #fff;
}

.image-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid #ccc;
    border-radius: 30px;
    padding: 0px;
    margin: 20px auto;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    width: 80%;
    background-color: #fff;
}

#pink-card {
    background-color: #f09fba;
}

#pink-card h2 {
    color: #fff;
}

@media only screen and (max-width: 800px) {
    .card {
        max-width: 95%;
        width: 95%;
    }
}


.card p {
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin: 1vh;
    line-height: 1.8;
}

.card h3 {
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin: 1vh;
}

.card hr {
    margin: 0vw;
    width: 90%;
    color: #e993b3;
    border-style: none;
    background-color: #e993b3;
    height: 0.25vh;
}


table {
    border-collapse: collapse;
    margin: 20px;
}

th,
td {
    border: 1px solid #b1bcbd;
}



th {
    padding: 3px;
    text-align: left;
}

td {
    padding: 2px;
}

.audio-button {
    background: none;
    border: none;
    padding: 0;
    width: 32px;
    height: 32px;
    display: block;
    margin-left: 0px;
    margin-right: 6px;
}

.japanese-word {
    display: flex;
    align-items: top;
    justify-content: left;
    width: 100%;
    gap: 12px;
    border: 1px solid #ccc;
    border-radius: 30px;
    padding: 0px;
    margin: 20px auto;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    max-width: 80%;
    background-color: #fff;
    padding: 30px;
    overflow: auto;
}

@media only screen and (max-width: 800px) {
    .japanese-word {
        max-width: 90%;
        width: 90%;
        padding: 0.8rem;
        margin: 0.4rem 0px;
    }
}

.japanese-word ul {
    padding-left: 20px;
}

.japanese-word select {
    margin: auto;
    max-width: 70%;
}

.japanese-word span {
    margin: 0px;
    max-width: 100%;
}

.squad-table {
    border-collapse: collapse;
}

.squad-table th,
.squad-table td {
    border: none;
}

.squad-lead-pfp {
    width: 12vh;
    height: auto;
    border-radius: 50%;
    object-fit: cover;
    border: #e993b3;
    border-style: solid;
}